
class ConnectedClient: 

        def __init__( self ):
            self.socket = None
            self.otherPlayers = {}

        def setSocket( self, socket ):
            if self.socket == None:
                self.socket = socket

        def setData( self, data ):
            self.data = data

        def setServerAddress( self, address ):
            self.serverAddress = address

        def setColorKey( self, colorKey ):
            self.colorKey = colorKey

client = ConnectedClient()

def getClientSocket( ):
    return client.socket

def setClientSocket( socket ):
    client.setSocket( socket )

def getClientData( ):
    return client.data

def setClientData( data ):
    client.setData( data )

def getServerAddress( ):
    return client.serverAddress

def setServerAddress( address ):
    client.setServerAddress( address )

def getClientColor( ):
    return client.colorKey

def setClientColor( colorKey ):
    client.setColorKey( colorKey )

def getOtherPlayers( ):
    return client.otherPlayers

def getOtherPlayer( color ):
    return client.otherPlayers[ color ]

def addOtherPlayer( color, player ):
    client.otherPlayers[ color ] = player